const path = require('path')
const {getPackageJson} = require('@s-ui/helpers/packages')

const {config = {}} = getPackageJson(process.cwd())
const {
  'sui-test': suiTestConfig = {},
  'sui-bundler': suiBundlerConfig = {}
} = config

const {
  client: clientConfig = {},
  e2e: e2eConfig = {},
  server: serverConfig = {}
} = suiTestConfig

const {alias: suiBundlerAliases = {}} = suiBundlerConfig

const absolutePath = aliases =>
  Object.keys(aliases).reduce((acc, key) => {
    // {"@adv-ui/literals": "./literals"} -> {"@adv-ui/literals": "/Users/myUser/project/literals"}
    acc[key] = path.resolve(path.join(process.env.PWD, aliases[key]))
    return acc
  }, {})

module.exports = {
  clientConfig,
  e2eConfig,
  serverConfig,
  aliases: absolutePath(suiBundlerAliases)
}
